# Update a single release

Endpoint: PUT /rmg/api/release/{releaseId}
Version: 1.0
Security: x-api-key

## Path parameters:

  - `releaseId` (string, required)

## Header parameters:

  - `Harness-Account` (string, required)
    Account Identifier

## Request fields (application/json):

  - `yaml` (string, required)

  - `startTs` (integer, required)

  - `duration` (string, required)

  - `processIdentifier` (string)
    Identifier of the orchestration process

  - `processInputIdentifier` (string)
    Identifier of the orchestration process input

## Response 200 fields (application/json):

  - `id` (string, required)

  - `yaml` (string, required)

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail

  - `code` (string)
    canonical error code name
    Enum: "BAD_REQUEST", "UNAUTHORIZED", "FORBIDDEN", "NOT_FOUND", "INTERNAL_SERVER_ERROR"


